#
# spec file for package cstex (Version 2000.10.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpng te_latex te_pdf tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex te_pdf tetex texinfo textutils timezone unzip util-linux vim

Name:         cstex
Summary:      Czech and Slovak formats for TeX
Version:      2000.10.19
Release:      70
Source0:      cstex-0.1.tar.bz2
Source1:      cstex-fmtutil.cnf
Source2:      t1csfont.tar.bz2
Source3:      urwl2.tar.bz2
Source4:      cspsfonts.tar.bz2
Requires:     tetex te_latex te_pdf
Copyright:    GPL
Group:        Applications/Publishing/TeX
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
This package adds set of CS fonts and installs csplain and cslatex formats.
Built for SuSE tetex package.

Authors:
--------
    Milan Vancura <milan@suse.cz>

SuSE series: tex

%define texdir    /usr/share/texmf
%define vartexdir /var/lib/texmf
%define cspdftex   pdfcsplain
%define cspdflatex pdfcslatex
%prep
%setup -n cstex -a 2 -a 3 -a 4

%build
install -d pdftex/{csplain,cslatex}/config
cat > pdftex/csplain/config/%{cspdftex}.ini <<EOF
\pdfoutput=1
\input csplain.ini
\endinput
EOF
cat > pdftex/cslatex/config/%{cspdflatex}.ini <<EOF
\pdfoutput=1
\scrollmode
\input cslatex.ini
\endinput
EOF
mkdir web2c
export TEXINPUTS=./:`pwd`/tex/csplain/:`pwd`/tex/cslatex/,`pwd`/tex/cslatex/src/:%{texdir}/tex/plain/base/:%{texdir}/tex/latex/base/:%{texdir}/tex/latex/config:%{texdir}/tex/generic/hyphen
export TFMFONTS=./:`pwd`/fonts/tfm/public/cs/:%{texdir}/fonts/tfm/public/cm/:%{texdir}/fonts/tfm/public/latex/
for i in csplain cslatex; do
	pushd tex/$i
	initex $i.ini
	mv $i.fmt ../../web2c/
	rm -f $i.log
	popd
done
for i in %{cspdftex} %{cspdflatex}; do
	pushd pdftex/`echo $i | sed 's/pdf//'`/config/
	pdfinitex $i.ini
	mv $i.fmt ../../../web2c/
	rm -f $i.log
	popd
done

%install
OS=linux
%ifarch i386
  CPU=i386
%else
  CPU=${RPM_ARCH}
%endif
set -- /lib/libc.so.[0-9]*
LIB=${!###*so.}
case "$LIB" in
  [6-9]*) BINARY=$CPU-$OS-glibc ;;
  *)      BINARY=$CPU-$OS-libc5 ;;
esac
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{vartexdir}
install -d $RPM_BUILD_ROOT%{texdir}/teTeX/bin/${BINARY}/
install -d $RPM_BUILD_ROOT/usr/bin
ln -sf `echo %{texdir}|sed 's,/[^/]\+,../,g;s,/*$,,'`%{vartexdir}/web2c \
					 $RPM_BUILD_ROOT%{texdir}/web2c
cp -pr doc fonts pdftex tex  $RPM_BUILD_ROOT%{texdir}
cp -pr web2c $RPM_BUILD_ROOT%{vartexdir}
install -m0644 $RPM_SOURCE_DIR/cstex-fmtutil.cnf $RPM_BUILD_ROOT%{texdir}/doc/cstex/
rm $RPM_BUILD_ROOT%{texdir}/doc/*.*
for s in csplain cslatex
do
	ln -sf tex $RPM_BUILD_ROOT%{texdir}/teTeX/bin/${BINARY}/$s
	ln -sf %{texdir}/teTeX/bin/${BINARY}/$s $RPM_BUILD_ROOT/usr/bin/
done
for s in %{cspdftex} %{cspdflatex}
do
	ln -sf pdftex $RPM_BUILD_ROOT%{texdir}/teTeX/bin/${BINARY}/$s
	ln -sf %{texdir}/teTeX/bin/${BINARY}/$s $RPM_BUILD_ROOT/usr/bin/
done
install -d $RPM_BUILD_ROOT/%{texdir}/fonts/type1/public/cs/
install -m 644 t1csfont/pfb/* $RPM_BUILD_ROOT/%{texdir}/fonts/type1/public/cs/
install -d $RPM_BUILD_ROOT%{vartexdir}/pdftex/config/
install -m 644 t1csfont/enc/* $RPM_BUILD_ROOT%{vartexdir}/pdftex/config/
#
install -d $RPM_BUILD_ROOT/%{texdir}/fonts/type1/urwl2/
install -d $RPM_BUILD_ROOT/%{texdir}/fonts/afm/urwl2/
install -d $RPM_BUILD_ROOT/%{texdir}/fonts/tfm/urwl2/
install -m 644 urwl2/pfb/* $RPM_BUILD_ROOT/%{texdir}/fonts/type1/urwl2/
install -m 644 urwl2/afm/* $RPM_BUILD_ROOT/%{texdir}/fonts/afm/urwl2/
install -m 644 urwl2/tfm/* $RPM_BUILD_ROOT/%{texdir}/fonts/tfm/urwl2/
install -d $RPM_BUILD_ROOT/var/lib/texmf/dvips/config
install -m 644 urwl2/urwl2.map $RPM_BUILD_ROOT/%{vartexdir}/dvips/config
#
mv texmf/doc/cstex cspsfont
cp -pr texmf/fonts/tfm $RPM_BUILD_ROOT/%{texdir}/fonts
cp -pr texmf/fonts/vf  $RPM_BUILD_ROOT/%{texdir}/fonts
install -m 644 texmf/tex/latex/cslatex/* $RPM_BUILD_ROOT/%{texdir}/tex/cslatex
install -m 644 texmf/tex/csplain/*       $RPM_BUILD_ROOT/%{texdir}/tex/csplain

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f etc/texmf/config.ps ] && \
  ! grep -q "^p +urwl2.map$" etc/texmf/config.ps ; then
  echo "p +urwl2.map" >>etc/texmf/config.ps
fi
if [ -f var/lib/texmf/pdftex/config/pdftex.cfg ] && \
  ! grep -q "^map +urwl2.map$" var/lib/texmf/pdftex/config/pdftex.cfg ; then
  echo "map +urwl2.map" >>var/lib/texmf/pdftex/config/pdftex.cfg
fi 
if test "$PWD" = "/" ; then
  type -p mktexlsr > /dev/null 2>&1 && mktexlsr || true
else
  mkdir -p var/adm/SuSEconfig
  touch    var/adm/SuSEconfig/run-texhash
fi
type -p grep > /dev/null 2>&1 || exit 0
# the dot means local if $PWD != "/"
test -s .%{vartexdir}/web2c/fmtutil.cnf || exit 0
grep cslatex .%{vartexdir}/web2c/fmtutil.cnf > /dev/null 2>&1 || \
cat .%{texdir}/doc/cstex/cstex-fmtutil.cnf >> .%{vartexdir}/web2c/fmtutil.cnf
exit 0

%postun
if [ -f etc/texmf/config.ps ] ; then
  mv etc/texmf/config.ps etc/texmf/config.orig
  grep -v "^p +urwl2.map$" etc/texmf/config.orig >>etc/texmf/config.ps
  rm -f "^p +urwl2.map$" etc/texmf/config.orig 
fi
if [ -f var/lib/texmf/pdftex/config/pdftex.cfg ] ; then
  mv var/lib/texmf/pdftex/config/pdftex.cfg var/lib/texmf/pdftex/config/pdftex.cfg.orig
  grep -v "^map +urwl2.map$" var/lib/texmf/pdftex/config/pdftex.cfg.orig >>var/lib/texmf/pdftex/config/pdftex.cfg
  rm -f "^map +urwl2.map$" var/lib/texmf/pdftex/config/pdftex.cfg.orig 
fi
if test "$PWD" = "/" ; then
  type -p mktexlsr > /dev/null 2>&1 && mktexlsr || true
else
  mkdir -p var/adm/SuSEconfig
  touch    var/adm/SuSEconfig/run-texhash
fi
exit 0

%files
%defattr(-,root,root)
%doc doc/*.*
/usr/bin/*
%{texdir}/doc/cstex/
%{texdir}/fonts/source/public/cs/
%{texdir}/fonts/tfm/public/cs/
%{texdir}/fonts/type1/public/cs/
%{texdir}/teTeX/bin/*/*
%{texdir}/tex/*
%{texdir}/pdftex/*
%{vartexdir}/pdftex/config/*
%{vartexdir}/web2c/*
#
%doc urwl2/README.urwl2
%doc urwl2/test_urwl2.tex
%{texdir}/fonts/type1/urwl2
%{texdir}/fonts/afm/urwl2
%{texdir}/fonts/tfm/urwl2
%{vartexdir}/dvips/config/urwl2.map
#
%doc cspsfont
%{texdir}/fonts/tfm/adobe/a2ac
%{texdir}/fonts/vf/adobe/a2ac

%changelog -n cstex
* Thu Dec 07 2000 - nadvornik@suse.cz
- fixed to compile
* Thu Oct 19 2000 - nadvornik@suse.cz
- updated cstex, used get_version_number.sh
* Tue Sep 26 2000 - nadvornik@suse.cz
- added cspsfonts
- added urwl2 fonts
- used bzip2
* Tue Jun 27 2000 - bubnikv@suse.cz
- added czech computer modern fonts in postscript for pdftex
- added pdfcstex and pdfcslatex formats
- libpng is #needforbuild
* Tue May 30 2000 - kasal@suse.de
- fixed symlinks in /usr/share/..../bin/${ARCH}
* Tue Feb 29 2000 - kasal@suse.de
- fixed creation of relative link
* Mon Feb 28 2000 - kasal@suse.de
- added Requires: and changed a bit sh tricks
* Mon Feb 28 2000 - werner@suse.de
- Better integration in tetex
  * Use mktexlsr not texhash
  * post/postun: Use mktexlsr only in a root file system.
  * post/postun: Append fmtutil.cnf to get automatic update of
  tetex configuration.
  * The web2c files are stored in /var/lib/texmf/web2c/
* Mon Feb 28 2000 - ro@suse.de
- check if texhash is executable
* Wed Feb 23 2000 - kasal@suse.cz
- initial release
